Announcement

Collapse
No announcement yet.

Got hacked AGAIN! Need some help

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Got hacked AGAIN! Need some help

    Every time there is a chace for a hacker at the moment we are targeted, don't know why, just wish the sad little f**ks would stop it

    But this time I have managed to recover the showthread template, but in the other two styles of the forum im still getting errors (two of the forums on the site use different templates for different logo's)

    when going into the 'cowshed' forum we get

    Parse error: parse error, unexpected T_STRING in /home/cavweb/public_html/global.php(497) : eval()'d code on line 4

    at the top

    and:

    vBulletin Message
    Unable to add cookies, header already sent.
    File: /home/cavweb/public_html/global.php(497) : eval()'d code
    Line: 4

    Global.php has been put back in place, and I have adjusted the forumdisplay templates, but the error persists!?

    Any suggestions?

    The forum is off currently, but is www.cavweb-forums.co.uk

    Thanks!
    Dave.

  • #2
    The "cookies already sent" error is usually caused by a space before the first character of the offending PHP file, or one after the last character in it. Make sure you do an ASCII transfer of the vB files, NOT "auto" or binary.

    Comment


    • #3
      Do you mean for the templates? As global.php works for the main template, so it has to be something to do with the style?

      Sorry if I am making no sense, my brain is slowly starting to melt after trying to sort out this losers work.

      Comment


      • #4
        No, only PHP files. templates aren't the actual scripts. They're "meta-data" used by the scripts to build pages. If the PHP script itself is hosed per my detail above, you'll get that error.

        Comment


        • #5
          The next step is to upgrade to 3.0.4. Here are the upgrade instructions:

          http://www.vbulletin.com/docs/html/upgrade/

          Please seee the Upgrade FAQ here:

          http://www.vbulletin.com/forum/showthread.php?t=124989
          Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
          Change CKEditor Colors to Match Style (for 4.1.4 and above)

          Steve Machol Photography


          Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


          Comment

          widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
          Working...
          X